# $Header: $

EAPI="6"

COMMIT="82eb7268e78cc32907573b713569e1331c571ce5"

PYTHON_COMPAT=( python3_{4,5,6,7,8} )
inherit python-r1

DESCRIPTION="Convert VMware .vmdk images, build .ovf and .ova"
HOMEPAGE="https://github.com/vmware/open-vmdk"

SRC_URI="https://github.com/vmware/open-vmdk/archive/${COMMIT}.zip -> ${P}.zip"
KEYWORDS="amd64 x86"

LICENSE="Apache-2.0"
SLOT="0"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="${PYTHON_DEPS}
         app-misc/jq"
DEPEND=${RDEPEND}

S=${WORKDIR}/${PN}-${COMMIT}


src_install() {
        emake DESTDIR="${D}" install || die "install failed"

        newbin ovf/mkovf.py mkovf || die "newbin failed"
        python_replicate_script "${ED}"/usr/bin/mkovf || die "python_replicate_script failed"

        insinto /usr/share/${PN}
        doins ova/template*
}
