# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

MY_P="newrpl-${PV}"
inherit desktop qmake-utils git-r3

DESCRIPTION="The classic RPL programming language reimplemented and reimagined."
HOMEPAGE="https://newrpl.wiki.hpgcc3.org/doku.php?id=start"
EGIT_REPO_URI="https://git.code.sf.net/p/newrpl/sources"
EGIT_COMMIT="aca52f6416ad960c64ad3afc1e43285e6a073228"

LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

RDEPEND="dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtnetwork:5
	dev-qt/qtwidgets:5"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${MY_P}"

src_configure() {
	cd ${S}/tools/elf2rom
	eqmake5
	emake
	emake install
	cd ${S}
	eqmake5 newrpl-comp.pro
	emake
	emake install
	emake clean
	rm Makefile
	eqmake5 newrpl-ui.pro
}

src_install() {
	dobin newrpl-ui
}
